Get and manage DynDNS configurations for a domain

View and manage Dynamic DNS (DynDNS) settings for a specific domain. When creating a new DynDNS configuration, a token is returned that is necessary to update the DNS record via a separate call.

Domain Services Domains

Context

Where to get IDs / values

Workflow links

Produces

Path Parameters

domainId integer · min: 1 required Example: 20985

Unique domain identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.configs array<object> required · Example: [{"id":120,"hostname":"example.com","record_type":"A","token":"YOUR_TOKEN","last_ip":nu...
data.configs[].created_at string required · Example: 2026-02-10T00:00:00.000Z
data.configs[].enabled boolean required · Example: true
data.configs[].hostname string required · Example: example.com
data.configs[].id integer required · Example: 120
data.configs[].last_ip string · nullable required · Example: 192.0.0.1

Nullable: may be null when not applicable.

data.configs[].last_update string · nullable required · Example: 2026-02-10T00:00:00.000Z

Nullable: may be null when not applicable.

data.configs[].record_type string required · Example: A
data.configs[].token string required · Example: YOUR_TOKEN
data.configs[].update_count integer required · Example: 0
data.configs[].updated_at string required · Example: 2026-02-10T00:00:00.000Z
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/domains/{domainId}/dyndns
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domains/20985/dyndns" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "configs": [
      {
        "id": 120,
        "hostname": "example.com",
        "record_type": "A",
        "token": "YOUR_TOKEN",
        "last_ip": null,
        "last_update": null,
        "update_count": 0,
        "enabled": true,
        "created_at": "2026-02-10T00:00:00.000Z",
        "updated_at": "2026-02-10T00:00:00.000Z"
      },
      {
        "id": 117,
        "hostname": "example.com",
        "record_type": "A",
        "token": "YOUR_TOKEN",
        "last_ip": null,
        "last_update": null,
        "update_count": 0,
        "enabled": true,
        "created_at": "2026-02-10T00:00:00.000Z",
        "updated_at": "2026-02-10T00:00:00.000Z"
      }
    ]
  }
}